<template>
  <q-page class="column items-center ">
    <q-input class="q-pa-md" v-model="searchTerm" @keyup.enter="onEnter" placeholder="Scoop away!"
      style="width: 40%;" />
    <q-inner-loading :showing="is_loading">
      <q-spinner-gears size="50px" color="primary" />
    </q-inner-loading>
    <scoop-package-list ref="scoop_package_list" />
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import ScoopPackageList from 'src/components/ScoopPackageList.vue';

export default defineComponent({
  name: 'IndexPage',
  components: { ScoopPackageList },
  setup() {
    const scoop_package_list = ref(null)
    const is_loading = ref(false)
    const searchTerm = ref(null)

    return { scoop_package_list, is_loading, searchTerm };
  },

  methods: {
    async onEnter() {
      this.is_loading = true
      await this.scoop_package_list?.scoop_search(this.searchTerm)
      this.is_loading = false
    }
  }

});
</script>
